<% @Language=VBScript %>
<!-- #include file="routines.vbs" -->
<%
    Set cfg = Server.CreateObject("newObjects.utilctls.ConfigFile")
    Dim app
    
    If Request("CreateApp").Count > 0 Then
        Set app = cfg.Read(Server.MapPath("/alp.application"))
        fileApp = pathFor & "alp.application"
        dirApp = pathFor
        cfg.Write fileApp,app
    End If
    If fileApp = "" Then
        ' Read default
        Set app = cfg.Read(Server.MapPath("/alp.application"))
        fileApp = dirApp & "alp.application"
        cfg.Write fileApp,app
    Else
        Set app = cfg.Read(fileApp)
    End If
    
    ' Consistency check
    If Not IsObject(app("APPLICATION")) Then
        app.Add "APPLICATION", cfg.CreateSection
    End If
    If Not IsObject(app("APPLICATION")("ExecutionMap")) Then
        app("APPLICATION").Add "ExecutionMap", cfg.CreateSection
    End If
    If Not IsObject(app("APPLICATION")("Options")) Then
        app("APPLICATION").Add "Options", cfg.CreateSection
    End If
    
    Dim n
    If Request("UPDATEOPTIONS").Count > 0 Then
        Set opts = app("APPLICATION")("Options")
        If IsNumeric(Request("ExpSite")) Then
            n = CLng(Request("ExpSite"))
            If n > 100 Then opts("SiteObjectsExpireTime") = n
        End If
        If IsNumeric(Request("ExpApp")) Then
            n = CLng(Request("ExpApp"))
            If n > 100 Then opts("ApplicationExpireTime") = n
        End If
        If IsNumeric(Request("ExpSes")) Then
            n = CLng(Request("ExpSes"))
            If n > 0 Then opts("SessionExpireTime") = n
        End If
        If IsNumeric(Request("OutBuff")) Then
            n = CLng(Request("OutBuff"))
            If n > 100000 Then opts("OutputBufferMaxSize") = n
        End If
        If IsNumeric(Request("Priority")) Then
            n = CLng(Request("Priority"))
            opts("ThreadPriority") = n
        End If
        cfg.Write fileApp, app
    ElseIf Request("RESTOREDEFAULTS").Count > 0 Then
        Set app = cfg.Read(Server.MapPath("/alp.application"))
        cfg.Write fileApp, app
    ElseIf Request("RemoveExt").Count > 0 Then        
        If Request("EXT") <> "." Then
            Set execMap = app("APPLICATION")("ExecutionMap")
            execMap.Remove Request("EXT")
            cfg.Write fileApp, app
        End If
    End IF
    
    Function IsPriority(o,n)
        IsPriority = ""
        If n < 0 Then
            If o("ThreadPriority") < 0 Then IsPriority = "SELECTED"
        ElseIf n > 0 Then
            If o("ThreadPriority") > 0 Then IsPriority = "SELECTED"
        Else
            If o("ThreadPriority") = 0 Then IsPriority = "SELECTED"
        End If
    End Function
    
    Set execMap = app("APPLICATION")("ExecutionMap")
    
%>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<link REL="stylesheet" HREF="styles.css">
<title>ALP Settings</title>
</head>

<body topmargin="0" leftmargin="0">

<table border="0" width="100%" cellspacing="0">
  <!-- #include file="head.inc" -->
  <tr>
    <td width="100%">
        <H4>Current directory</H4>
        <BLOCKQUOTE>
            <%= pathFor %>
        </BLOCKQUOTE>
        <TABLE BORDER="0" CELLSPACING="3">
            <TR>
                <TD VALIGN="TOP" WIDTH="50%" STYLE="border-right: 1px solid buttonshadow">
                    <FORM METHOD="POST" ACTION="app-ext.asp">
                        <INPUT TYPE="HIDDEN" NAME="Path" VALUE="<%= pathFor %>">
                        Edit extension:
                        <A HREF="javascript: void window.open('help/app.htm#EditExt')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                        <BR>
                        <SELECT NAME="EXT">
                            <% For I = 1 To execMap.Count %>
                                <OPTION VALUE="<%= execMap.Key(I) %>"><%= execMap.Key(I) %> - (<%= GetModuleType(execMap(I)) %>)</OPTION>
                            <% Next %>
                        </SELECT><BR>
                        <INPUT TYPE="SUBMIT" NAME="EditExt" Value="Edit">
                        <INPUT TYPE="SUBMIT" NAME="RemoveExt" Value="Remove">
                    </FORM>
                    <HR>
                    <FORM METHOD="POST" ACTION="app-ext.asp">
                        <INPUT TYPE="HIDDEN" NAME="Path" VALUE="<%= pathFor %>">
                        Add extension:
                        <A HREF="javascript: void window.open('help/app.htm#AddExt')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                        <BR>
                        <INPUT TYPE="TEXT" NAME="EXT" VALUE=""><BR>
                        Content generator module:
                        <A HREF="javascript: void window.open('help/app.htm#CG')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                        <BR>
                        <SELECT NAME="MODULES">
                            <OPTION VALUE="ASP">ASP</OPTION>
                            <OPTION VALUE="RAW">Raw scripting</OPTION>
                            <OPTION VALUE="CGI">CGI processor</OPTION>
                            <OPTION VALUE="TML">Simple template</OPTION>
                        </SELECT><BR>
                        <INPUT TYPE="SUBMIT" NAME="AddExt" Value="Add"><BR>
                        <I>The new extension will appear in the list with the default settings.</I>
                    </FORM>
                    <HR>
                    <FORM METHOD="POST" ACTION="<%= Request.ServerVariables("SCRIPT_NAME") %>">
                        <INPUT TYPE="HIDDEN" NAME="Path" VALUE="<%= pathFor %>">
                        <INPUT TYPE="SUBMIT" NAME="RESTOREDEFAULTS" Value="Restore defaults">
                        <A HREF="javascript: void window.open('help/app.htm#Defaults')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                    </FORM>
                    <HR>
                    <A HREF="app-del.asp?Path=<%= pathFor %>">Delete application settings</a>
                    <A HREF="javascript: void window.open('help/app.htm#Delete')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                </TD>
                <TD VALIGN="TOP" WIDTH="50%">
                    <IMG SRC="mime.gif">
                    <A HREF="app-mime.asp?Path=<%= pathFor %>">Mime types</a>
                    <A HREF="javascript: void window.open('help/app.htm#Mimes')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                    <HR>
                    Global application settings:<BR>
                    <%
                        Set opts = app("APPLICATION")("Options")
                    %>
                    <FORM METHOD="POST" ACTION="<%= Request.ServerVariables("SCRIPT_NAME") %>">
                        <INPUT TYPE="HIDDEN" NAME="Path" VALUE="<%= pathFor %>">
                        <TABLE>
                            <TR>
                                <TH COLSPAN="2">Expire times</TH>
                            </TR>
                            <TR>
                                <TD>Site:
                                <A HREF="javascript: void window.open('help/app.htm#ExpSite')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                                </TD>
                                <TD><INPUT SIZE="6" TYPE="TEXT" NAME="ExpSite" VALUE="<%= opts("SiteObjectsExpireTime") %>"> min.</TD>
                            </TR>
                            <TR>
                                <TD>Application:
                                <A HREF="javascript: void window.open('help/app.htm#ExpApp')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                                </TD>
                                <TD><INPUT SIZE="6" TYPE="TEXT" NAME="ExpApp" VALUE="<%= opts("ApplicationExpireTime") %>"> min.</TD>
                            </TR>
                            <TR>
                                <TD>Session:
                                <A HREF="javascript: void window.open('help/app.htm#ExpSes')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                                </TD>
                                <TD><INPUT SIZE="6" TYPE="TEXT" NAME="ExpSes" VALUE="<%= opts("SessionExpireTime") %>"> min.</TD>
                            </TR>
                            <TR>
                                <TH COLSPAN="2">Buffers</TH>
                            </TR>
                            <TR>
                                <TD>Output buffer max size:
                                <A HREF="javascript: void window.open('help/app.htm#Buff')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                                </TD>
                                <TD><INPUT SIZE="6" TYPE="TEXT" NAME="OutBuff" VALUE="<%= opts("OutputBufferMaxSize") %>"> bytes.</TD>
                            </TR>
                            <TR>
                                <TH COLSPAN="2">Thread priority</TH>
                            </TR>
                            <TR>
                                <TD>Priority:
                                <A HREF="javascript: void window.open('help/app.htm#Priority')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                                </TD>
                                <TD><SELECT NAME="Priority">
                                    <OPTION VALUE="-1" <%= IsPriority(opts,-1) %>>Low</OPTION>
                                    <OPTION VALUE="0" <%= IsPriority(opts,0) %>>Normal</OPTION>
                                    <OPTION VALUE="1" <%= IsPriority(opts,1) %>>High</OPTION>
                                </SELECT>
                            </TR>
                        </TABLE>
                        <INPUT TYPE="SUBMIT" NAME="UPDATEOPTIONS" VALUE="Update">
                    </FORM>
                </TD>
            </TR>
        </TABLE>
    </td>
  </tr>
</table>

</body>

</html>
