<% @Language=VBScript %>
<!-- #include file="routines.vbs" -->
<%
    Set cfg = Server.CreateObject("newObjects.utilctls.ConfigFile")
    Dim dir
    
    Sub SetDefDocs(def)
        Dim v, r, strm, line, n, vName
        If Not IsObject(def("default")) Then
            def.Add "default", cfg.CreateRecord
        Else
            def("default").Clear
        End If
        Set r = def("default")
        Set strm = sf.CreateMemoryStream
        strm.WriteText CStr(Request("Documents"))
        strm.Pos = 0
        While Not strm.EOS
            line = strm.ReadText(-1)
            If line <> "" Then
                r.Add "", line
            End If
        Wend
        Set strm = Nothing
    End Sub
    
    If Request("Create").Count > 0 Then
        Set dir = cfg.Read(Server.MapPath("/alp.directory"))
        fileDir = pathFor & "alp.directory"
        dirDir = pathFor
        cfg.Write fileDir,dir
    End If
    If fileDir = "" Then
        ' Read default
        Set dir = cfg.Read(Server.MapPath("/alp.directory"))
        fileDir = dirDir & "alp.directory"
        cfg.Write fileDir, dir
    Else
        Set dir = cfg.Read(fileDir)
    End If
    
    ' Check consistency
    If Not IsObject(dir("DIRECTORY")) Then
        dir.Add "DIRECTORY", cfg.CreateSection
    End If
    If Not IsObject(dir("DIRECTORY")("Access")) Then
        dir("DIRECTORY").Add "Access", cfg.CreateSection
    End IF
    If Not IsObject(dir("Documents")) Then
        dir.Add "Documents", cfg.CreateSection
    End If
    

    Dim n, acc, def
    Set acc = dir("DIRECTORY")("Access")
    If Request("Update").Count > 0 Then
        Call GetCheckBox("Scripts",acc,"Scripts")
        Call GetCheckBox("Read",acc,"Read")
        Call GetCheckBox("Execute",acc,"Execute")
        Call GetCheckBox("Browsing",acc,"Browsing")
        Call GetCheckBox("Cache",acc,"Cache")
        Call GetCheckBox("OfflineExecution",acc,"OfflineExecution")
        SetDefDocs dir("DIRECTORY")("Documents")
        cfg.Write fileDir,dir
    End IF
    
%>
<html>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=windows-1252">
<meta http-equiv="Content-Language" content="en-us">
<meta name="GENERATOR" content="Microsoft FrontPage 4.0">
<meta name="ProgId" content="FrontPage.Editor.Document">
<link REL="stylesheet" HREF="styles.css">
<title>ALP Settings</title>
</head>

<body topmargin="0" leftmargin="0" bgcolor="#FFFFFF" text="#000000" link="#0000FF" vlink="#000080" alink="#FF0000">

<table border="0" width="100%" cellspacing="0">
  <!-- #include file="head.inc" -->
  <tr>
    <td width="100%">
        <H4>Current directory</H4>
        <BLOCKQUOTE>
            <%= pathFor %>
        </BLOCKQUOTE>
        <FORM METHOD="POST" ACTION="<%= Request.ServerVariables("SCRIPT_NAME") %>">
            <INPUT TYPE="HIDDEN" NAME="Path" VALUE="<%= pathFor %>">
            <TABLE BORDER="0" CELLSPACING="3">
                <TR>
                    <TH COLSPAN="2">Access</TH>
                </TR>
                <TR>
                    <TD>Read files
                    <A HREF="javascript: void window.open('help/dir.htm#Read')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                    </TD>
                    <TD><INPUT TYPE="CHECKBOX" NAME="Read" VALUE="ON" <%= Checked(acc("Read")) %>></TD>
                </TR>
                <TR>
                    <TD>Run scripts
                    <A HREF="javascript: void window.open('help/dir.htm#Scripts')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                    </TD>
                    <TD><INPUT TYPE="CHECKBOX" NAME="Scripts" VALUE="ON" <%= Checked(acc("Scripts")) %>></TD>
                </TR>
                <TR>
                    <TD>Execute programs
                    <A HREF="javascript: void window.open('help/dir.htm#Execute')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                    </TD>
                    <TD><INPUT TYPE="CHECKBOX" NAME="Execute" VALUE="ON" <%= Checked(acc("Execute")) %>></TD>
                </TR>
                <TR>
                    <TD>Directory browsing
                    <A HREF="javascript: void window.open('help/dir.htm#Browsing')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                    </TD>
                    <TD><INPUT TYPE="CHECKBOX" NAME="Browsing" VALUE="ON" <%= Checked(acc("Browsing")) %>></TD>
                </TR>
                <TR>
                    <TD>Update IE cache
                    <A HREF="javascript: void window.open('help/dir.htm#Cache')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                    </TD>
                    <TD><INPUT TYPE="CHECKBOX" NAME="Cache" VALUE="ON" <%= Checked(acc("Cache")) %>></TD>
                </TR>
                <TR>
                    <TD>Execute expired pages
                    <A HREF="javascript: void window.open('help/dir.htm#Expired')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                    </TD>
                    <TD><INPUT TYPE="CHECKBOX" NAME="OfflineExecution" VALUE="ON" <%= Checked(acc("OfflineExecution")) %>></TD>
                </TR>
                <TR>
                    <TD>Default documents
                    <A HREF="javascript: void window.open('help/dir.htm#DefDocs')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
                    </TD>
                    <TD>
                        <%
                            Dim strDocs, docs
                            strDocs = ""
                            If IsObject(dir("DIRECTORY")("Documents")("default")) Then
                                Set docs = dir("DIRECTORY")("Documents")("default")
                                For I = 1 To docs.Count
                                    strDocs = strDocs & docs(I) & vbCrLf
                                Next
                            End If
                        %>
                        <TEXTAREA NAME="Documents" COLS="30" ROWS="4"><%= strDocs %></TEXTAREA>
                    </TD>
                </TR>
            </TABLE>
            <DIV ALIGN="CENTER">
                <INPUT TYPE="SUBMIT" NAME="Update" VALUE="Update">
                <INPUT TYPE="RESET" VALUE="Reset">
            </DIV>
        </FORM>
        <HR>
        <DIV ALIGN="CENTER">
            <A HREF="dir-del.asp?Path=<%= pathFor %>">Delete directory settings</A>
            <A HREF="javascript: void window.open('help/dir.htm#Delete')" ALT="Help"><IMG SRC="help.gif" BORDER="0"></A>
        </DIV>
    </td>
  </tr>
</table>

</body>

</html>
