<%
	Response.ContentType = "application/x-javascript"
%>

var _mainMenu = {
    Items: {
    	File: {
    		Name:		"File",
    		Caption:	"&File",
    		IsPopup:	true,
    		Items:	{
    				Item1: {
    					Name:		"Item 1",
    					Caption:	"Item 1",
    					Frame:		null,
    					Type:		mitNormal,
    					Handler:	"OnItem",
    					Info:		"My item number 1 from the file menu",
    					Accel: {
    						Ctrl:	true,
    						Alt:	false,
    						Shift:	false,
    						Key:	"1"
    					}
    				},
    				Item2: {
    					Name:		"Item 2",
    					Caption:	"Item 2",
    					Frame:		null,
    					Type:		mitNormal,
    					Handler:	"OnItem",
    					Info:		"My item number 2 from the file menu",
    					Accel: {
    						Ctrl:	true,
    						Alt:	false,
    						Shift:	false,
    						Key:	"2"
    					}
    				},
    				Print: {
    					Name:		"Print",
    					Caption:	"Print",
    					Frame:		null,
    					Type:		mitNormal,
    					Handler:	"OnPrint",
    					Info:		"Print this page",
    					Accel: {
    						Ctrl:	true,
    						Alt:	false,
    						Shift:	true,
    						Key:	"P"
    					}
    				}
    		}
    	},
    	Edit: {
    		Name:		"Edit",
    		Caption:	"&Edit",
    		IsPopup:	true,
    		Items:	{
    				Item1: {
    					Name:		"Item 1",
    					Caption:	"Item 1",
    					Frame:		null,
    					Type:		mitNormal,
    					Handler:	"OnItem",
    					Info:		"My item number 1 from the Edit menu",
    					Accel: {
    						Ctrl:	true,
    						Alt:	false,
    						Shift:	true,
    						Key:	"1"
    					}
    				},
    				Item2: {
    					Name:		"Item 2",
    					Caption:	"Item 2",
    					Frame:		null,
    					Type:		mitNormal,
    					Handler:	"OnItem",
    					Info:		"My item number 2 from the Edit menu",
    					Accel: {
    						Ctrl:	true,
    						Alt:	false,
    						Shift:	true,
    						Key:	"2"
    					}
    				}
    		}
    	},
    	View: {
    		Name:		"View",
    		Caption:	"&View",
    		IsPopup:	true,
    		Items:	{
    			Views: {
    				Name:		"Grp1",
    				Type:		mitRadioGroup,
    				Items: {
    					NoCapt: {
    						Name:		"No caption",
    						Caption:	"No caption",
    						Frame:		null,
    						Handler:	"OnView",
    						Info:		"NoCapt",
    						Accel: {
    							Ctrl:	true,
    							Alt:	false,
    							Shift:	false,
    							Key:	"N"
    						}
    					},
    					Capt: {
    						Name:		"Caption",
    						Caption:	"With caption",
    						Frame:		null,
    						Handler:	"OnView",
    						Info:		"Capt",
    						Accel: {
    							Ctrl:	true,
    							Alt:	false,
    							Shift:	false,
    							Key:	"C"
    						}
    					},
    					Tool: {
    						Name:		"Tool",
    						Caption:	"Tool window",
    						Frame:		null,
    						Handler:	"OnView",
    						Info:		"Tool",
    						Accel: {
    							Ctrl:	true,
    							Alt:	false,
    							Shift:	false,
    							Key:	"T"
    						}
    					},
    					TopMost: {
    						Name:		"TopMost",
    						Caption:	"TopMost",
    						Frame:		null,
    						Handler:	"OnView",
    						Info:		"TopMost",
    						Accel: {
    							Ctrl:	true,
    							Alt:	false,
    							Shift:	false,
    							Key:	"M"
    						}
    					},
    					NormWnd: {
    						Name:		"NormWnd",
    						Caption:	"NormWnd",
    						Frame:		null,
    						Handler:	"OnView",
    						Info:		"NormWnd",
    						Accel: {
    							Ctrl:	true,
    							Alt:	false,
    							Shift:	false,
    							Key:	"W"
    						}
    					}				
    				}
    			}
    		}
    	},
		Navigation: {
    		Name:		"Navigation",
    		Caption:	"&Navigation",
    		IsPopup:	true,
    		Items:	{
    			GoBack: {
    				Name:		"Go back",
    				Caption:	"Go &back",
    				Frame:		null,
    				Type:		mitNormal,
    				Handler:	"onCommand",
    				Info:		"history.back()",
    				Accel: {
    					Ctrl:	true,
    					Alt:	false,
    					Shift:	false,
    					Key:	"B"
    				}
    			},
    			SamplesRoot: {
    				Name:		"Root",
    				Caption:	"Samples &root",
    				Frame:		null,
    				Type:		mitNormal,
    				Handler:	"onCommand",
    				Info:		"location = \"/\"",
    				Accel: {
    					Ctrl:	true,
    					Alt:	false,
    					Shift:	false,
    					Key:	"R"
    				}
    			},
    			Sep1: {
    				Type:		mitSeparator
    			},
				VBS: {
    				Name:		"VBS",
    				Caption:	"&VB Script samples",
    				Frame:		null,
    				Type:		mitNormal,
    				Handler:	"onCommand",
    				Info:		"location = \"/vbs\"",
    				Accel: {
    					Ctrl:	true,
    					Alt:	false,
    					Shift:	false,
    					Key:	"V"
    				}
    			},
				Elements: {
    				Name:		"Elements",
    				Caption:	"&Elements (JScript)",
    				Frame:		null,
    				Type:		mitNormal,
    				Handler:	"onCommand",
    				Info:		"location = \"/elements\"",
    				Accel: {
    					Ctrl:	true,
    					Alt:	false,
    					Shift:	false,
    					Key:	"E"
    				}
    			}
    		}
    	},
    	Help: {
    		Name:		"Help",
    		Caption:	"&Help",
    		IsPopup:	true,
    		Items:	{
					HowTo: {
    					Name:		"HowTo",
    					Caption:	"&How to use this sample",
    					Frame:		null,
    					Type:		mitNormal,
    					Handler:	"OnHowTo",
    					Info:		"HowTo",
    					Accel: {
    						Ctrl:	true,
    						Alt:	false,
    						Shift:	false,
    						Key:	"H"
    					}
    				},
    				About: {
    					Name:		"About",
    					Caption:	"&About",
    					Frame:		null,
    					Type:		mitNormal,
    					Handler:	"OnAbout",
    					Info:		"My About",
    					Accel: {
    						Ctrl:	true,
    						Alt:	false,
    						Shift:	false,
    						Key:	"A"
    					}
    				}    				
    		}
    	}
    }
};

var _popupMenu1 =  {
	Name:	"Default pop-up",
    Items: {
    	Help: {
    		Name:		"Help",
    		Caption:	"&Help",
    		IsPopup:	true,
    		Items:	{
    				About: {
    					Name:		"About",
    					Caption:	"&About",
    					Frame:		null,
    					Type:		mitNormal,
    					Handler:	"OnAbout",
    					Info:		""
    				},
    				About2: {
    					Name:		"Some item",
    					Caption:	"&Some item",
    					Frame:		null,
    					Type:		mitNormal,
    					Handler:	"OnItem",
    					Info:		"Another item",
    					Accel: {
    						Ctrl:	true,
    						Alt:	true,
    						Shift:	true,
    						Key:	"2"
    					}
    				}
    		}
    	},
		View: {
			Name:	 "View",
			ReferTo: new Array("MainMenu","View")
		}
    }
}
var _popupMenu2 =  {
	Name:	"Another pop-up",
    Items: {
    	File: {
    		Name:		"File",
    		ReferTo: new Array("MainMenu","File")
    	},
		Edit: {
    		Name:		"Edit",
    		ReferTo: new Array("MainMenu","Edit")
    	},
		View: {
			Name:	 "View",
			ReferTo: new Array("MainMenu","View")
		}
    }
}