<%
    ' Constants
    Const classSFMain           = "newObjects.utilctls.SFMain"
    Const classSFConfigFile     = "newObjects.utilctls.ConfigFile"
    Const classNetProbe         = "newObjects.utilctls.NetProbe"
    ' Const classSFMain           = "{F86AC6C2-5578-4AE8-808A-DC5DAA78082A}"
    ' Const classSFConfigFile     = "{262DE78D-982E-4B0F-8230-D99D079EA7FA}"
    ' Const classNetProbe         = "{873097F5-C1D1-4142-9713-0295DD374D44}"

    ' Translates the input parameter to binary data
    Function CFPack(sect)
        Dim sf, strm, cfg
        Set sf = Server.CreateObject(classSFMain)
        Set strm = sf.CreateMemoryStream
        
        Set cfg = Server.CreateObject(classSFConfigFile)
        cfg.WriteToBinaryStream strm, sect
        strm.Pos = 0
        
        CFPack = strm.ReadBin(strm.Size)
        Set strm = Nothing
        Set cfg = Nothing
        Set sf = Nothing
    End Function
    
    ' Unpacks binary data to section
    Function CFUnPack(binData)
        Dim sf, strm, cfg
        Set sf = Server.CreateObject(classSFMain)
        Set strm = sf.CreateMemoryStream
        Set cfg = Server.CreateObject(classSFConfigFile)
        
        strm.WriteBin binData
        strm.Pos = 0
        Set CFUnPack = cfg.ReadFromBinaryStream(strm)
        Set strm = Nothing
        Set cfg = Nothing
        Set sf = Nothing
    End Function
    
    ' Send request
    Function CallURLnp(np, szURL, sect)
        Dim bin, cfg, res, t
        Set cfg = Server.CreateObject(classSFConfigFile)
        bin = CFPack(sect)
        np.PostData = bin
        np.RequestMINE = "application/uds-binary-stream"
        Set res = cfg.CreateSection
        res.Add "URL", CStr(szURL)
        np.RequestMethod = "POST"
        If np.Request(szURL) Then
            If np.ResponseMIME <> "application/uds-binary-stream" Then
                ' Error
                Set t = cfg.CreateSection
                res.Add "Error", t
                t.Add "Code", CLng(-1)
                t.Add "Text", "Incorrect mime type returned: " & np.ResponseMIME
                t.Add "Content", cfg.ResponseText
            Else
                ' Success
                Set t = CFUnPack(np.Response)
                res.Add "Response", t
            End If
        Else
            Set t = cfg.CreateSection
            res.Add "Error", t
            t.Add "Code", CLng(np.ErrorCode)
            t.Add "Text", CStr(np.ErrorText)
        End If
        Set CallURLnp = res
        Set cfg = Nothing
    End Function
    
    ' Send request no NP
    Function CallURL(szURL, sect)
        Dim np
        Set np = Server.CreateObject(classNetProbe)
        Set CallURL = CallURLnp(np, szURL, sect)
        Set np = Nothing
    End Function
%>