<%
    Dim Self

    ' Node procedures
    Sub NodeSampleList(Node)
        Dim I
        %>
            <H4><%= Node("Description") %></H4>
            <% If Node("File") <> "" Then ShowFile Node("File") %>
            <TABLE BORDER="0" CELLSPACING="1" BGCOLOR="buttonshadow" CELLPADDING="2" WIDTH="100%">
                <TR> 
                    <TH BGCOLOR="buttonface" STYLE="border: 1px outset">
                        <FONT COLOR="buttontext">
                            Read more
                        </FONT>
                    </TH>
                    <TH BGCOLOR="buttonface" STYLE="border: 1px outset">
                        <FONT COLOR="buttontext">
                            Run
                        </FONT>
                    </TH>
                    <TH BGCOLOR="buttonface" STYLE="border: 1px outset">
                        <FONT COLOR="buttontext">
                            Source
                        </FONT>
                    </TH>
                    <TH BGCOLOR="buttonface" STYLE="border: 1px outset">
                        <FONT COLOR="buttontext">
                            Description
                        </FONT>
                    </TH>
                </TR>
            <%
            For I = 1 To Node.Count
                If Node(I).Info.Type Then
                    ProcessNode Node(I)
                End If
            Next
            %>
            </TABLE>
        <%
    End Sub
    
    Sub NodeASPSample(Node)
        Dim I, Target
        If Node("Target") <> "" Then
            Target = CStr(Node("Target"))
        Else
            Target = "_self"
        End If
        %>
        <TR> 
            <TD BGCOLOR="buttonface" nowrap VALIGN="TOP" STYLE="border: 1px outset">
                <% If Node("File") <> "" Then %>
                    <B><A HREF="showdesc.asp?File=<%= Node("File") %>"><%= Node("Name") %></A></B>    
                <% Else %>
                    <B><%= Node("Name") %></B>    
                <% End If %>
            </TD>
            <TD BGCOLOR="buttonface" nowrap VALIGN="TOP" STYLE="border: 1px inset">
                <% For I = 1 To Node("Implementation").Count %>
                    <A TARGET="<%= Target %>" 
                       HREF="<%= Node("Implementation")(I) %>"><%= Node("Implementation").Key(I) %></A><BR>
                <% Next %>
            </TD>
            <TD BGCOLOR="buttonface" nowrap VALIGN="TOP" STYLE="border: 1px inset">
                <% For I = 1 To Node("Implementation").Count %>
                    <A TARGET="<%= Target %>" HREF="/asp/ViewSource.asp?file=<%= Node("Implementation")(I) %>"><%= Node("Implementation").Key(I) %></A><BR>
                <% Next %>
            </TD>
            <TD BGCOLOR="buttonface" VALIGN="TOP" STYLE="border: 1px inset">
                <I><%= Node("Description") %></I>
            </TD>
        </TR>
        <% 
    End Sub
    Sub NodeOTHERSample(Node)
        Dim I, Target
        If Node("Target") <> "" Then
            Target = CStr(Node("Target"))
        Else
            Target = "_self"
        End If
        %>
        <TR> 
            <TD BGCOLOR="buttonface" nowrap VALIGN="TOP" STYLE="border: 1px outset">
                <% If Node("File") <> "" Then %>
                    <B><A HREF="showdesc.asp?File=<%= Node("File") %>"><%= Node("Name") %></A></B>    
                <% Else %>
                    <B><%= Node("Name") %></B>    
                <% End If %>
            </TD>
            <TD BGCOLOR="buttonface" nowrap VALIGN="TOP" STYLE="border: 1px inset">
                <% For I = 1 To Node("Implementation").Count %>
                    <A TARGET="<%= Target %>" 
                       HREF="<%= Node("Implementation")(I) %>"><%= Node("Implementation").Key(I) %></A><BR>
                <% Next %>
            </TD>
            <TD BGCOLOR="buttonface" nowrap VALIGN="TOP" STYLE="border: 1px inset">
                    <A TARGET="_blank" HREF="file://<%= Server.MapPath(Node("Directory")) %>">Open directory</A><BR>
            </TD>
            <TD BGCOLOR="buttonface" VALIGN="TOP" STYLE="border: 1px inset">
                <I><%= Node("Description") %></I>
            </TD>
        </TR>
        <% 
    End Sub
    Sub NodeDefault(Node)
        NodeASPSample Node
    End Sub       

    Sub ProcessNode(Node)
        Select Case Node.Info.Class
            Case "ASPSample"
                NodeASPSample Node
            Case "OTHERSample"
                NodeOTHERSample Node
            Case "FRAMESample"
                NodeFRAMESample Node
            Case "SampleList"
                NodeSampleList Node
            Case Else
                NodeDefault Node
        End Select
    End Sub

    Sub SamplesTable(branch)
        Dim cfg, file, list, I, base, J
        Dim sf
        Set cfg = Server.CreateObject("{262DE78D-982E-4B0F-8230-D99D079EA7FA}")
        Set file = cfg.Read(Server.MapPath("/samples.cfg"))
        Set cfg = Nothing
        ProcessNode file(branch)
        Set file = Nothing
    End Sub
    
    Sub ShowFile(file)
        Set sf = Server.CreateObject("{F86AC6C2-5578-4AE8-808A-DC5DAA78082A}")
        Set file = sf.OpenFile(Server.MapPath("/descriptions/" & file),&H40)
        Response.Write file.ReadText
        Set file = Nothing
        Set sf = Nothing
    End Sub
%>